aboutsummaryrefslogtreecommitdiffstats
path: root/make/deploy-jars-webstarttest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make/deploy-jars-webstarttest.sh')
-rwxr-xr-xmake/deploy-jars-webstarttest.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/make/deploy-jars-webstarttest.sh b/make/deploy-jars-webstarttest.sh
index 861e638b1..9f38c8e28 100755
--- a/make/deploy-jars-webstarttest.sh
+++ b/make/deploy-jars-webstarttest.sh
@@ -3,8 +3,11 @@
joglbuilddir=$1
shift
-if [ -z "$joglbuilddir" ] ; then
- echo usage $0 jogl-builddir
+wsdir=$1
+shift
+
+if [ -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo usage $0 jogl-builddir webstartdir
exit 1
fi
@@ -13,6 +16,11 @@ if [ ! -e $joglbuilddir ] ; then
exit 1
fi
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
builddirbase=`basename $joglbuilddir`
joglroot=`dirname $joglbuilddir`
gluegenroot=$joglroot/../gluegen
@@ -37,9 +45,6 @@ if [ ! -e $jnlpdir_demos ] ; then
exit 1
fi
-wsdir=$joglbuilddir/webstart
-mkdir -p $wsdir
-
cp -v $gluegenroot/$builddirbase/*.jar $wsdir
cp -v $gluegenroot/$builddirbase/obj/lib*.so $wsdir